org.apache.ignite.compute.gridify

## Interface GridifyArgument

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  GridifyArgumentAdapter, GridifyRangeArgument

    public interface GridifyArgument
    extends Serializable

Gridify task argument created by the system for task execution. It contains all information needed to reflectively execute a method remotely.

Use `GridifyArgumentAdapter` convenience adapter for creating gridify arguments when implementing custom gridify jobs.

See `Gridify` documentation for more information about execution of `gridified` methods.

See Also:
  `Gridify`

### Method Summary

All Methods Instance Methods Abstract Methods
`Class<?>` `getMethodClass()` Gets class to which the executed method belongs.
`String` `getMethodName()` Gets method name.
`Object[]` `getMethodParameters()` Gets method parameters in the same order they appear in method signature.
`Class<?>[]` `getMethodParameterTypes()` Gets method parameter types in the same order they appear in method signature.
`Object` `getTarget()` Gets target object to execute method on.

### Method Detail

#### getMethodClass

    Class<?> getMethodClass()

Gets class to which the executed method belongs.

Returns:
  Class to which method belongs.

#### getMethodName

    String getMethodName()

Gets method name.

Returns:
  Method name.

#### getMethodParameterTypes

    Class<?>[] getMethodParameterTypes()

Gets method parameter types in the same order they appear in method signature.

Returns:
  Method parameter types.

#### getMethodParameters

    Object[] getMethodParameters()

Gets method parameters in the same order they appear in method signature.

Returns:
  Method parameters.

#### getTarget

    Object getTarget()

Gets target object to execute method on. `Null` for static methods.

Returns:
  Execution state (possibly `null`), required for remote object creation.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018